# docute

[![NPM version](https://img.shields.io/npm/v/docute.svg?style=flat)](https://npmjs.com/package/docute) [![NPM download](https://img.shields.io/npm/dm/docute.svg?style=flat)](https://npmjs.com/package/docute) [![Build Status](https://img.shields.io/circleci/project/egoist/docute/master.svg?style=flat)](https://circleci.com/gh/egoist/docute) [![donate](https://img.shields.io/badge/$-donate-ff69b4.svg?maxAge=2592000&style=flat)](https://github.com/egoist/donate)

## Features

- You don't need to run build process 👻
- Simple yet powerful, benefit from Vue.js and our useful [plugin API](https://docute.js.org/#/plugins) 💯
- Easy for both beginners and pros 🙌
- [You can run code blocks in markdown files](https://github.com/egoist/docute-iframe) 💻
- Very cute name 🤔

## Quick Start

```bash
npm i -g docute-cli

docute init ./docs
docute
```

For detailed usage please head to https://docute.js.org 😎

## Projects Using Docute

- [koel](https://koel.phanan.net/docs): 🎵 Music streaming app that works.
- [sao](https://sao.js.org/): ⚔️ Futuristic scaffolding tool.
- [service-mocker](https://service-mocker.js.org/): 🚀 The next generation front-end API mocking framework.
- [vuejs-component-style-guide](https://pablohpsilva.github.io/vuejs-component-style-guide/#/): Vue component style guide
- Feel free to add yours here :)

## Contributing

1. Fork it!
2. Create your feature branch: `git checkout -b my-new-feature`
3. Commit your changes: `git commit -am 'Add some feature'`
4. Push to the branch: `git push origin my-new-feature`
5. Submit a pull request :D

## Development

The development setup is basically webpack + vue:

```bash
cd docute
npm run dev
# then edit files in ./src dir and save to reload
```

## Prior art

`docute` wouldn't exist if it wasn't for excellent prior art, docute is inspired by these projects:

- [flatdoc](https://github.com/rstacruz/flatdoc)
- [docsify](https://github.com/QingWei-Li/docsify)
- [vue.js](https://vuejs.org/)

## Author

**docute** © [EGOIST](https://github.com/egoist), Released under the [MIT](https://egoist.mit-license.org/) License.<br>
Authored and maintained by EGOIST with help from contributors ([list](https://github.com/egoist/docute/contributors)).

> [egoistian.com](https://egoistian.com) · GitHub [@egoist](https://github.com/egoist) · Twitter [@rem_rin_rin](https://twitter.com/rem_rin_rin)
